- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HierarchyEventListener Class Reference

Inherits Object.

List of all members.

## Detailed Description

Listen to events occuring within a Hierarchy.

## Public Member Functions
virtual | ~HierarchyEventListener ()
virtual void | addAppenderEvent (const log4cxx::helpers::ObjectPtrT< Logger > &logger, const log4cxx::helpers::ObjectPtrT< Appender > &appender)=0
virtual void | removeAppenderEvent (const log4cxx::helpers::ObjectPtrT< Logger > &logger, const log4cxx::helpers::ObjectPtrT< Appender > &appender)=0

## Constructor & Destructor Documentation

virtual ~HierarchyEventListener | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void addAppenderEvent | ( | const log4cxx::helpers::ObjectPtrT< Logger > & | logger,
|  | const log4cxx::helpers::ObjectPtrT< Appender > & | appender
| ) | `[pure virtual]`

virtual void removeAppenderEvent | ( | const log4cxx::helpers::ObjectPtrT< Logger > & | logger,
|  | const log4cxx::helpers::ObjectPtrT< Appender > & | appender
| ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- hierarchyeventlistener.h